Subject: Re: bug#78273: I would like to contribute: jsdoc support in typescript-ts-mode

From: Martin Šošić <[email-masked]>
Date: Tue, 6 May 2025 14:03:02 +0200

Yeah no problem, happy to sign!

I have never sent a patch in this way (only PRs via Github) but I assume
googling will give me answers? Or is there a piece of docs specific for
emacs contributing?

Thanks

On Tue, May 6, 2025 at 1:20 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Martin Šošić <[email-masked]>
> > Date: Mon, 5 May 2025 21:47:54 +0200
> >
> > Hi,
> > I noticed there is no jsdoc support in typescript-ts-mode, and I would
> love to add a patch/PR to add it! I
> > already have a working solution: I found who that same support is
> implemented in js-ts-mode and slightly
> > modified it to work with typescript-ts-mode. Currently I apply that
> extra config in my init.el, but I imagine it
> > relatively straightforward from here to contribute it to
> typescript-ts-mode.el itself.
> >
> > More info can be found here on reddit where I asked for help, got it,
> and then I edited the answer to contain
> > the full solution:
> >
> https://www.reddit.com/r/emacs/comments/1kfblch/need_help_with_adding_jsdoc_highlighting_to/
> .
> >
> > I would appreciate any direction on how to go about this: I have been
> programming for 20 years but I never
> > used a mailing list and am not sure what is the etiquette / right way to
> handle this!
>
> Thank you for your interest in Emacs.
>
> I think the next steps would be:
>
>  . post here a patch relative to typescript-ts-mode.el as we have it
>    on the master branch of the Emacs Git repository, so people could
>    review your changes and suggest improvements if needed
>  . start your legal paperwork of assigning to FSF the copyright for
>    your changes -- contributions of this size cannot be accepted
>    without the assignment
>
> The last point is actually the first one you should consider.  If you
> are okay with assigning the copyright to the FSF, I will send you the
> form to fill and the instructions to go with it, so you could start
> the paperwork rolling; then you can post the patches even before the
> process is completed (but we will wait for it to complete before we
> can install your changes).  If for some reason you are unwilling or
> unable to assign the copyright, then your code will have to be a
> separate package, perhaps part of Non-GNU ELPA, not an integral part
> of typescript-ts-mode.el that comes with Emacs.
>